Solvedangular cli input.mergeMap is not a function

works on a fresh app but on my project I get the following error but no idea what it means

global version @angular/cli@1.4.2

ng g s test

error message

input.mergeMap is not a function

TypeError: input.mergeMap is not a function at Object.callRule (C:\server\htdocs\FrontEnd_AgroTaxi\node_modules\@angular-devkit\schematics\src\rules\call.js:78:18) at SchematicImpl.call (C:\server\htdocs\FrontEnd_AgroTaxi\node_modules\@angular-devkit\schematics\src\engine\schematic.js:35:23) at Promise (C:\server\htdocs\FrontEnd_AgroTaxi\node_modules\@angular\cli\tasks\schematic-run.js:77:23) at Class.run (C:\server\htdocs\FrontEnd_AgroTaxi\node_modules\@angular\cli\tasks\schematic-run.js:76:16) at Class.run (C:\server\htdocs\FrontEnd_AgroTaxi\node_modules\@angular\cli\commands\generate.js:138:33) at resolve (C:\server\htdocs\FrontEnd_AgroTaxi\node_modules\@angular\cli\ember-cli\lib\models\command.js:273:20) at Class.validateAndRun (C:\server\htdocs\FrontEnd_AgroTaxi\node_modules\@angular\cli\ember-cli\lib\models\command.js:251:12) at Promise.resolve.then.then (C:\server\htdocs\FrontEnd_AgroTaxi\node_modules\@angular\cli\ember-cli\lib\cli\cli.js:154:24)

pachage.json

{ "name": "Agrotaxi", "version": "0.0.0", "license": "MIT", "scripts": { "ng": "ng", "start": "ng serve", "build": "ng build", "test": "ng test", "lint": "ng lint", "e2e": "ng e2e" }, "private": true, "dependencies": { "@agm/core": "1.0.0-beta.2", "@angular/animations": "4.2.0", "@angular/cdk": "2.0.0-beta.12", "@angular/common": "4.3.0", "@angular/compiler": "4.2.4", "@angular/core": "4.2.4", "@angular/forms": "4.2.4", "@angular/http": "4.2.4", "@angular/material": "2.0.0-beta.12", "@angular/platform-browser": "4.2.4", "@angular/platform-browser-dynamic": "4.2.4", "@angular/router": "4.2.4", "@ng-bootstrap/ng-bootstrap": "1.0.0-beta.5", "@types/moment": "2.13.0", "angular2-moment": "1.7.0", "bootstrap": "4.0.0-beta.2", "core-js": "2.4.1", "jquery": "3.2.1", "moment": "2.20.1", "ng2-daterangepicker": "2.0.12", "ng2-filter-pipe": "0.1.10", "ngx-order-pipe": "1.0.4", "ngx-toastr": "6.5.0", "popper.js": "1.12.5", "rxjs": "5.4.2", "zone.js": "0.8.14" }, "devDependencies": { "@angular/cli": "1.4.2", "@angular/compiler-cli": "4.2.4", "@angular/language-service": "4.2.4", "@types/googlemaps": "3.30.0", "@types/jasmine": "~2.5.53", "@types/jasminewd2": "~2.0.2", "@types/node": "~6.0.60", "codelyzer": "~3.1.1", "jasmine-core": "~2.6.2", "jasmine-spec-reporter": "~4.1.0", "karma": "~1.7.0", "karma-chrome-launcher": "~2.1.1", "karma-cli": "~1.0.1", "karma-coverage-istanbul-reporter": "1.2.1", "karma-jasmine": "~1.1.0", "karma-jasmine-html-reporter": "0.2.2", "protractor": "~5.1.2", "ts-node": "~3.2.0", "tslint": "~5.3.2", "typescript": "~2.3.3" } }

18 Answers

✔️Accepted Answer

Same issue here.

Worked with npm i @angular-devkit/schematics@0.0.40

Other Answers:

Globally
npm remove -g @angular/cli
npm remove -g typescript

npm i -g @angular/cli@latest
npm i -g typescript@latest

Locally
Delete the directories node_modules and dist of your project.

npm i @angular/cli@latest --save-dev
npm i typescript@latest --save-dev
npm install
That's working for me

More Issues: